Author Topic: Important: Upgrading Saves Between Versions  (Read 81144 times)

Offline legionof1

  • Moderator
  • Commander
  • ***
  • Posts: 1893
  • Bullets go that way. Money comes this way.
    • View Profile
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #105 on: January 30, 2019, 03:44:12 am »
After upgrading to new version:
-I can't purchase Chinese Dragon anymore (although I have chosen red codex)
-I can't hire Hands (I know it is supposed to be mutually exclusive with slave soldiers now but it seems to default to slaves once you have it researched)

Probably string name changes/minor tree alterations. I dont know how to solve the second issue. For the first, use the tech tree viewer to identify the missing tech entries for the red dragon and add them by edit your save file to include the missing links.

Offline Dioxine

  • Commander
  • *****
  • Posts: 5303
  • punk not dead
    • View Profile
    • Nocturnal Productions
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #106 on: January 30, 2019, 11:12:17 am »
You must still research it now, even with Red Codex, it's not given for free anymore.

Offline Kharim

  • Sergeant
  • **
  • Posts: 33
    • View Profile
Re: Important: Upgrading Saves Between Versions
« Reply #107 on: January 30, 2019, 04:43:23 pm »
Thanks.

What about the Slave Soldiers is there any way to fix it? Maybe by changing research to uncomplete in an unupgraded save? Am I right?

Offline Ninawindia

  • Captain
  • ***
  • Posts: 66
  • Certified cat girl, nya~
    • View Profile
Re: Important: Upgrading Saves Between Versions
« Reply #108 on: January 31, 2019, 05:47:47 pm »
Anyone got the name for the demon Lord mission? Can't find it in the new games saved text to add to my old save for upgrading.

Offline thevideogameraptorboggle

  • Colonel
  • ****
  • Posts: 165
    • View Profile
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #109 on: February 01, 2019, 05:27:46 am »
I upgraded from J10 to J11 and got an error message. "WARNING: This save relies on mods that are unavailable. Missing content will be removed, and it may fail to load. Continue?" Was there something I forgot to copy? I copied the UFO folder, my save games and options.cfg. I'll try openxcom.log next.

Offline thevideogameraptorboggle

  • Colonel
  • ****
  • Posts: 165
    • View Profile
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #110 on: February 01, 2019, 05:39:36 am »
openxcom.log didn't help.

Offline thevideogameraptorboggle

  • Colonel
  • ****
  • Posts: 165
    • View Profile
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #111 on: February 01, 2019, 05:51:39 am »
The save still loaded. Everything seems to be in order, except I have lost the ability to purchase Gals.

Offline legionof1

  • Moderator
  • Commander
  • ***
  • Posts: 1893
  • Bullets go that way. Money comes this way.
    • View Profile
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #112 on: February 02, 2019, 08:38:59 pm »
I upgraded from J10 to J11 and got an error message. "WARNING: This save relies on mods that are unavailable. Missing content will be removed, and it may fail to load. Continue?" Was there something I forgot to copy? I copied the UFO folder, my save games and options.cfg. I'll try openxcom.log next.

This was expected, dioxine has been trimming some of the included submods in the package.

Offline Dioxine

  • Commander
  • *****
  • Posts: 5303
  • punk not dead
    • View Profile
    • Nocturnal Productions
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #113 on: February 03, 2019, 03:24:05 am »
Well except I did not delete any since cars & tanks were integrated...

Offline XCOMJunkie

  • Sergeant
  • **
  • Posts: 33
    • View Profile
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #114 on: April 30, 2019, 02:46:50 am »
Hello all!

It's been a few versions since I played X-Piratez, and I had picked up J13a on Friday last week... been having lots of fun with it. Now that J14 has just dropped, and with all the awesome goodies that entails, I just wanted to know if I can upgrade and keep playing with the same 4-day old savegames, or if I need to start out new? No big loss either way, but it would be convenient if I could!

Please let me know when you get a chance, and thanks either way!

XCOMJunkie

Offline legionof1

  • Moderator
  • Commander
  • ***
  • Posts: 1893
  • Bullets go that way. Money comes this way.
    • View Profile
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #115 on: April 30, 2019, 06:38:58 am »
as always without a specific post in this thread from Dioxine, no know problems with the immediate proceeding version

Offline ivansanchez

  • Sergeant
  • **
  • Posts: 34
    • View Profile
Re: Important: Upgrading Saves Between Versions
« Reply #116 on: June 24, 2019, 10:40:45 am »
I updated to J15, and I noticed that the behaviour of spy zeppelins changed. If your savegame has spy blimps built before J15, they will behave like in J14.

The workaround *should* be to dock the blimps and re-deploy them (not that I have tried that myself).

Offline Dioxine

  • Commander
  • *****
  • Posts: 5303
  • punk not dead
    • View Profile
    • Nocturnal Productions
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #117 on: October 18, 2019, 03:46:05 am »
Updating from J to K1:
Load, then save.
Then, in savefile
Change all

Code: [Select]
mana: 0
on your soldiers to

Code: [Select]
mana: 50
or similar number.
Reload.

Offline Dioxine

  • Commander
  • *****
  • Posts: 5303
  • punk not dead
    • View Profile
    • Nocturnal Productions
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #118 on: March 31, 2020, 10:26:47 pm »
Upgrading to L1: No special tricks needed, just DON'T UPDATE DURING TACTICAL BATTLE.

Offline Dioxine

  • Commander
  • *****
  • Posts: 5303
  • punk not dead
    • View Profile
    • Nocturnal Productions
    • Email
Re: Important: Upgrading Saves Between Versions
« Reply #119 on: March 26, 2021, 04:04:57 pm »
L8: If you have an advanced campaign (>1 year) you'll get a message about being a slow a**. Please ignore it.